
Infrastructure - Task #1437

Story # 1432 (Closed): New functionality that depends on authn/authz infrastructure.

Add filtering by requestor in /monitor/object collection.

2011-03-25 02:42 - Roger Dahl

Status: Closed Start date: 2011-03-25

Priority: Normal Due date:  

Assignee: Roger Dahl % Done: 100%

Category: d1_libclient_python Estimated time: 0.00 hour

Target version: Sprint-2011.27-Block.4   

Milestone: None Story Points:  

Product Version: *   

Description

getObjectStatistics currently does not support filtering by principal. Filtering by principal would enable a user to get stats only about

his own objects.

Need to be determined:

Do we want a client to be able to connect directly to a MN to retrieve stats? The issue is that with objects being replicated to

multiple servers, such stats will be incomplete. The only way to get complete stats is either to have the client connect to each

MN in turn and aggregate the results or having a CN pull the stats and do the aggregation. If we do the latter, then we don't

need any searching/filtering on the monitoring collections.

History

#1 - 2011-08-23 16:00 - Roger Dahl

- Status changed from New to Closed

- Milestone set to None

Not in spec for v1.

#2 - 2011-08-23 16:00 - Roger Dahl

- Target version changed from Sprint-2011.27-Block.4 to Sprint-2011.34-Block.5

Powered by TCPDF (www.tcpdf.org)

2024-04-26 1/1

http://www.tcpdf.org

